Subject: Re: [RFC/PATCH] point pull requesters to Git Git Gadget

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Mon, 18 Mar 2019 23:25:02 +0100

On Mon, Mar 18 2019, Jeff King wrote:

> On Mon, Mar 18, 2019 at 11:52:54AM +0900, Junio C Hamano wrote:
>
>> Jeff King <[email-masked]> writes:
>>
>> > Hmm. I guess it is still an issue in GGG. This thread has identical
>> > timestamps on patches 1 and 2 (and my server received them out of order
>> > by 2 seconds, so mutt orders them wrong):
>> >
>> >   https://public-inbox.org/git/[email-masked]/
>> >
>> > I do still think GGG has a more feasible path forward on this particular
>> > bug, though.
>>
>> If the MSA is rewriting the timestamp (but why?  Is the original
>> date "Wed, 13 Mar 2019 19:20:12 GMT" malformed or perhaps in the
>> future or something?), then there isn't much the sending program
>> can---'git send-email' would suffer from the same symptom.
>
> I think this statement from me is mid-way through my discovery of the
> actual issue. Yes, if the mail server is rewriting, the best we can do
> is put in an artificial sleep.
>
> It looks like GitGitGadget just uses normal SMTP to submit the messages.
> I wonder if normal people using gmail as their SMTP server for
> send-email also suffer from this. I've not ever noticed it, but I
> don't know how common that setup is.

It's the got-to setup for those of us using gmail & send-email. In
git-ml.git:

    $ git ls-files | wc -l
    371333
    $ git grep -l '^\s+by smtp.gmail.com with ESMTPSA id ' | wc -l
    35326

Roughly 1/2 of those are patches:

    $ git grep --no-line-number -h -C30 '^\s+by smtp.gmail.com with ESMTPSA id ' |grep "^Subject: \[" | wc -l
    14567